%define major		2
%define libname		%mklibname jemalloc %{major}
%define develname	%mklibname jemalloc -d

Summary:	General-purpose scalable concurrent malloc implementation
Name:		jemalloc
Version:	5.2.1
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		http://www.canonware.com/jemalloc/
Source0:	https://github.com/jemalloc/jemalloc/releases/download/%{version}/jemalloc-%{version}.tar.bz2
BuildRequires:	xsltproc

%description
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

%package -n	%{libname}
Summary:	General-purpose scalable concurrent malloc implementation
Group:		System/Libraries

%description -n	%{libname}
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	jemalloc-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%ifarch %arm
# This test will be disabled properly in next upstream version
# but not trivial to backport
sed -i '/test\/unit\/pages.c/d' Makefile*
%endif

# Fix version in pkgconfig file
sed -i 's/@jemalloc_version@/%{version}/' jemalloc.pc.in

%build
export LC_ALL=C

%configure \
%ifarch %{arm} aarch64
	--disable-thp \
%endif

%make_build

%check
make check

%install
%make_install

# Install this with doc macro instead
rm %{buildroot}%{_datadir}/doc/%{name}/jemalloc.html

# None of these in fedora
find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%doc COPYING README VERSION
%doc doc/jemalloc.html
%{_libdir}/libjemalloc.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/jemalloc-config
%{_bindir}/jeprof
%{_bindir}/jemalloc.sh
%{_includedir}/jemalloc
%{_libdir}/libjemalloc.so
%{_mandir}/man3/jemalloc.3*
%{_libdir}/pkgconfig/jemalloc.pc


%changelog
* Wed Oct 14 2020 joequant <joequant> 5.2.1-3.mga8
+ Revision: 1635537
- refresh

* Sat Feb 15 2020 umeabot <umeabot> 5.2.1-2.mga8
+ Revision: 1528249
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 19 2019 daviddavid <daviddavid> 5.2.1-1.mga8
+ Revision: 1429920
- new version: 5.2.1

* Wed Apr 03 2019 daviddavid <daviddavid> 5.2.0-1.mga7
+ Revision: 1385547
- new version: 5.2.0

* Sun Sep 23 2018 umeabot <umeabot> 5.1.0-2.mga7
+ Revision: 1298369
- Mageia 7 Mass Rebuild

* Wed May 09 2018 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1227926
- new version: 5.1.0
- remove merged upstream patch
+ wally <wally>
- add patch from Fedora to fix testsuite segv on aarch64

* Mon Jan 01 2018 daviddavid <daviddavid> 5.0.1-2.mga7
+ Revision: 1189026
- fix invalid version (double separator '-') from pkgconfig file

* Mon Jan 01 2018 daviddavid <daviddavid> 5.0.1-1.mga7
+ Revision: 1188600
- new version: 5.0.1

* Wed Jun 28 2017 pterjan <pterjan> 4.5.0-4.mga6
+ Revision: 1108615
- Disable on arm a test that should be skipped

* Sat May 27 2017 neoclust <neoclust> 4.5.0-3.mga6
+ Revision: 1105123
- Rebuilf for ARM

* Tue May 23 2017 luigiwalser <luigiwalser> 4.5.0-2.mga6
+ Revision: 1104267
- try to fix build on ARM

* Tue May 23 2017 luigiwalser <luigiwalser> 4.5.0-1.mga6
+ Revision: 1104154
- 4.5.0

* Sun Jan 01 2017 luigiwalser <luigiwalser> 4.4.0-1.mga6
+ Revision: 1078963
- 4.4.0

* Thu Aug 11 2016 luigiwalser <luigiwalser> 4.2.1-1.mga6
+ Revision: 1045495
- 4.2.1

* Wed May 25 2016 luigiwalser <luigiwalser> 4.2.0-1.mga6
+ Revision: 1018475
- 4.2.0

* Tue May 10 2016 luigiwalser <luigiwalser> 4.1.1-1.mga6
+ Revision: 1012076
- 4.1.1
- 4.1.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 20 2015 oden <oden> 4.0.4-2.mga6
+ Revision: 904514
- move jemalloc.sh into the dev sub package

* Mon Nov 16 2015 oden <oden> 4.0.4-1.mga6
+ Revision: 903578
- add files
- 4.0.4

* Wed Oct 15 2014 umeabot <umeabot> 3.6.0-2.mga5
+ Revision: 742739
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 alien <alien> 3.6.0-1.mga5
+ Revision: 736963
- Update to 3.6.0

* Tue Sep 16 2014 umeabot <umeabot> 3.5.0-2.mga5
+ Revision: 680767
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 oden <oden> 3.5.0-1.mga5
+ Revision: 581529
- fix build
- fedora import
- 3.5.0
- fix deps
- imported package jemalloc

